Bug 172454 - TeXmacs conflicts with fig2ps
Summary: TeXmacs conflicts with fig2ps
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: TeXmacs (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-04 19:41 UTC by Kevin Kofler
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-15 21:34:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kevin Kofler 2005-11-04 19:41:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90; H010818)

Description of problem:
TeXmacs contains a copy of fig2ps instead of depending on it (fig2ps-1.3.3-2 is in Extras). This causes the 2 packages to conflict.

Version-Release number of selected component (if applicable):
TeXmacs-1.0.5.11-1.fc4

How reproducible:
Always

Steps to Reproduce:
1. Install fig2ps.
2. Try to install TeXmacs.  

Actual Results:  Committing changes...
Preparing packages for installation...
	file /usr/bin/fig2ps from install of TeXmacs-1.0.5.11-1.fc4 conflicts with file from package fig2ps-1.3.3-2
	file /usr/share/man/man1/fig2ps.1.gz from install of TeXmacs-1.0.5.11-1.fc4 conflicts with file from package fig2ps-1.3.3-2

Expected Results:  TeXmacs should install.

Additional info:

Please have the TeXmacs specfile rm the 2 offending files and "Requires: fig2ps" instead.

Comment 1 Gérard Milmeister 2005-11-04 20:17:30 UTC
Although both programs probably do the same same, they are not the same.
Is it save to use the other fig2ps?

Comment 2 Kevin Kofler 2005-11-04 21:34:18 UTC
I didn't look at the source code yet. I guess we have to figure this out.

Comment 3 Gérard Milmeister 2005-11-04 22:38:24 UTC
I just noticed that fig2ps (TeXmacs) used some progs that I didn't include
in the Requires, e.g. dvips and fig2dev. I presume the fig2ps has a
Requires for transfig which includes fig2dev!?
I think removing fig2ps from TeXmacs is the way to go.

Comment 4 Gérard Milmeister 2005-11-15 21:34:18 UTC
Removed fig2ps from the package and added requires fig2ps.


Note You need to log in before you can comment on or make changes to this bug.